--NAME:default_snmp_apc_pdu
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_APC_PDU_HEALTH,CHECK_SNMP_APC_PDU_BANK,CHECK_SNMP_APC_PDU_TEMPERATURE,CHECK_SNMP_APC_PDU_HUMIDITY

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_apc_pdu','pattern de supervision des pdu APC');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_apc_pdu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_APC_PDU_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_apc_pdu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_APC_PDU_BANK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_apc_pdu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_BANK'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_BANK'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_APC_PDU_TEMPERATURE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_apc_pdu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_TEMPERATURE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_TEMPERATURE'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_APC_PDU_HUMIDITY',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_apc_pdu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_HUMIDITY'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_APC_PDU_HUMIDITY'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);
