--NAME:default_snmp_cisco_switch
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_SW_CISCO_LOAD,CHECK_SNMP_SW_CISCO_MEM,CHECK_SNMP_SW_CISCO_PSU,CHECK_SNMP_SW_CISCO_FLASH,CHECK_SNMP_SW_CISCO_FAN,CHECK_SNMP_SW_CISCO_TEMP

INSERT INTO esia_service_patterns(pattern_id, pattern_name, pattern_description) VALUES (DEFAULT,'default_snmp_cisco_switch','pattern de supervision des switch cisco');

INSERT INTO esia_service_pattern_included(included_id, included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_SW_CISCO_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_LOAD'),
	300000,2);

INSERT INTO esia_service_pattern_included(included_id, included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority)
	VALUES (DEFAULT,'CHECK_SNMP_SW_CISCO_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_MEM'),
	300000,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_CISCO_TEMP',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_TEMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_TEMP'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_CISCO_FAN',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_FAN'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_FAN'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_CISCO_PSU',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_PSU'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_PSU'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_CISCO_FLASH',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_switch'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_FLASH'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_FLASH'),300000,NULL,NULL,NULL,NULL,NULL,3);
