--NAME:default_snmp_cisco_ucs
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_CISCO_UCS_FAN,CHECK_SNMP_CISCO_UCS_POWER,CHECK_SNMP_CISCO_UCS_TEMPERATURE,CHECK_SNMP_CISCO_UCS_DRIVE

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_cisco_ucs','pattern de supervision des interfaces ucs de cisco');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_CISCO_UCS_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_FAN'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_FAN'),
    300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_CISCO_UCS_POWER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_POWER'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_POWER'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_CISCO_UCS_TEMPERATURE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_TEMPERATURE'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_TEMPERATURE'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_CISCO_UCS_DRIVE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cisco_ucs'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_DRIVE'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCO_UCS_DRIVE'),
    300000,3);
