--NAME:default_snmp_dlink_switch
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_SW_DLINK_MEM,CHECK_ICMP,CHECK_SNMP_SW_DLINK_LOAD,CHECK_SNMP_SW_DLINK_FLASH,CHECK_SNMP_SW_POE,CHECK_SNMP_SW_DLINK_FAN,CHECK_SNMP_SW_DLINK_TEMP,CHECK_SNMP_SW_DLINK_POWER

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_dlink_switch','pattern de supervision des switch D-Link');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_MEM'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_LOAD'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_FLASH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FLASH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FLASH'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_SW_POE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_POE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_POE'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FAN'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FAN'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_TEMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_TEMP'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_POWER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dlink_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_POWER'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_POWER'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

