--NAME:default_snmp_emc_datadomain
--INFRA:CHECK
--PLUGINS:CHECK_ICMP

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_emc_datadomain','pattern de supervision des data domain emc');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_DATADOMAIN_PSU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_PSU'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_PSU'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_DATADOMAIN_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_FAN'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_FAN'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_DATADOMAIN_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_DISK'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_DATADOMAIN_NVRAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_datadomain'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_NVRAM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_DATADOMAIN_NVRAM'),
	300000,3);



