--NAME:default_snmp_emc_isilon
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_EMC_ISILON_CLUSTER,CHECK_SNMP_EMC_ISILON_NODE,CHECK_SNMP_EMC_ISILON_DISK,CHECK_SNMP_EMC_ISILON_TEMP,CHECK_SNMP_EMC_ISILON_CPU,CHECK_SNMP_EMC_ISILON_RAM,CHECK_SNMP_EMC_ISILON_RAM

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_emc_isilon','pattern de supervision des emc isilon');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_ISILON_CLUSTER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_CLUSTER'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_CLUSTER'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_ISILON_NODE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_NODE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_NODE'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_ISILON_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_DISK'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_ISILON_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_TEMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_TEMP'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_ISILON_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_CPU'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_CPU'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_ISILON_FAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_FAN'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_FAN'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EMC_ISILON_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_emc_isilon'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_RAM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EMC_ISILON_RAM'),
	300000,3);
