--NAME:default_snmp_fujitsu
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_FUJITSU_DISKHEALTH,CHECK_SNMP_FUJITSU_SYSTEMHEALTH,CHECK_SNMP_FUJITSU_TEMP

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_fujitsu','pattern de supervision health des serveur Fujitsu');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_FUJITSU_DISKHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_DISKHEALTH'),'-H $IP -C $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_FUJITSU_SYSTEMHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_SYSTEMHEALTH'),'-H $IP -C $SNMP_COM -w 2500 -c 3000',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_FUJITSU_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_fujitsu'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_FUJITSU_TEMP'),'-H $IP -C $SNMP_COM -w 45 -c 50',300000,NULL,NULL,NULL,NULL,NULL,3);

