--NAME:default_snmp_ilo
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_ILO_DISKHEALTH,CHECK_SNMP_ILO_TEMP,CHECK_SNMP_ILO_SYSTEMHEALTH

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_ilo','Pattern HP pour ILO 2,3 et 4');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ilo'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ILO_DISKHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ilo'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ILO_DISKHEALTH'),'-T diskhealth -H $IP -C $SNMP_COM','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ILO_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ilo'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ILO_TEMP'),'-T temp -H $IP -C $SNMP_COM','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ILO_SYSTEMHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ilo'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ILO_SYSTEMHEALTH'),'-T systemhealth -H $IP -C $SNMP_COM','300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);
