--NAME:default_snmp_lenovo
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_LENOVO_SYSHEALTH,CHECK_SNMP_LENOVO_TEMP,CHECK_SNMP_LENOVO_DISK

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_lenovo','pattern de supervision des serveurs lenovo');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_lenovo'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LENOVO_SYSHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_lenovo'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LENOVO_SYSHEALTH'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LENOVO_SYSHEALTH'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LENOVO_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_lenovo'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LENOVO_TEMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LENOVO_TEMP'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LENOVO_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_lenovo'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LENOVO_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LENOVO_DISK'),
	300000,3);
