--NAME:default_snmp_mikrotik
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_LOAD,CHECK_SNMP_LINUX_STORAGE

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_mikrotik','pattern de supervision des mikrotiks');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LINUX_STORAGE_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),
	'-H $IP -C $SNMP_COM -m "main memory" -w 80 -c 90',
	300000,3);


INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LINUX_STORAGE_System Disk',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_mikrotik'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),
	'-H $IP -C $SNMP_COM -m "system disk" -w 80 -c 90',
	300000,3);
