--NAME:default_snmp_nas_qnap
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_QNAP_HEALTH,CHECK_SNMP_QNAP_STORAGE,CHECK_SNMP_LOAD,CHECK_SNMP_QNAP_RAM

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_nas_qnap','Pattern pour les NAS QNAP');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_QNAP_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_QNAP_TEMP'),'-H $IP -C $SNMP_COM -T temp -w 50 -c 70',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_QNAP_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_QNAP_STORAGE'),'-H $IP -C $SNMP_COM -T vol -w 70 -c 80',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),'-H $IP -C $SNMP_COM -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_QNAP_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_qnap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_QNAP_RAM'),'-H $IP -C $SNMP_COM -T ram -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_QNAP_FAN',
        (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_qnap'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_QNAP_FAN'),
        (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_QNAP_FAN'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_QNAP_RAID',
        (SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_qnap'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_QNAP_RAID'),
        (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_QNAP_RAID'),300000,NULL,NULL,NULL,NULL,NULL,3);
