--NAME:default_snmp_nas_synology
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_LINUX_STORAGE,CHECK_SNMP_LOAD,CHECK_SNMP_LINUX_MEM,CHECK_ICMP,CHECK_SNMP_SYNO_SYSHEALTH,CHECK_SNMP_SYNO_DISKHEALTH

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_nas_synology','Pattern pour les NAS synology');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LINUX_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_synology'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),'-H $IP -C $SNMP_COM -m "^/volume" -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_synology'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_synology'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_synology'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SYNOLOGY_SYSHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_synology'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SYNOLOGY_SYSHEALTH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SYNOLOGY_SYSHEALTH'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SYNOLOGY_DISKHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_synology'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SYNOLOGY_DISKHEALTH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SYNOLOGY_DISKHEALTH'),300000,NULL,NULL,NULL,NULL,NULL,3);