--NAME:default_snmp_stormshield
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_LINUX_MEM,CHECK_SNMP_LOAD,CHECK_SNMP_STORMSHIELD_VERSION,CHECK_SNMP_STORMSHIELD_MODULES,CHECK_SNMP_TCP_ESTABLISHED

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_stormshield','Pattern pour les parefeus Stormshields');

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id, included_plugin_id, included_parameter, included_interval,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_stormshield'), (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'-H $IP -C $SNMP_COM -w 80,30 -c 90,50',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),'-H $IP -C $SNMP_COM -w 80% -c 90%',300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_STORMSHIELD_VERSION',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_STORMSHIELD_VERSION'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_STORMSHIELD_VERSION'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_STORMSHIELD_MODULES',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_STORMSHIELD_MODULES'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_STORMSHIELD_MODULES'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_TCP_ESTABLISHED',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_stormshield'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_TCP_ESTABLISHED'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_TCP_ESTABLISHED'),300000,NULL,NULL,NULL,NULL,NULL,7);
