--NAME:default_snmp_switch_Hp1910
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_SW_HP_1910_LOAD,CHECK_SNMP_SW_HP_1910_MEM,CHECK_SNMP_SW_HP_1910_TEMP,CHECK_SNMP_SW_HP_1910_POE

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_switch_Hp1910','pattern de supervision des switchs Hp 1910');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_HP_1910_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_1910_LOAD'),'-H $IP -C $SNMP_COM -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_HP_1910_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_1910_MEM'),'-H $IP -C $SNMP_COM -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_HP_1910_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_1910_TEMP'),'-H $IP -C $SNMP_COM -w 40 -c 50',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_HP_1910_POE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_switch_Hp1910'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_1910_POE'),'-H $IP -C $SNMP_COM -w 70 -c 80',300000,NULL,NULL,NULL,NULL,NULL,3);

