--NAME:default_snmp_windows_server
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_WINDOWS_STORAGE,CHECK_SNMP_WINDOWS_MEM_SWAP,CHECK_SNMP_WINDOWS_MEM,CHECK_SNMP_LOAD

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_windows_server','Pattern Windows');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_windows_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_WINDOWS_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_windows_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE'),'-H $IP -C $SNMP_COM -m "^C:" -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_WINDOWS_MEM_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_windows_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM_SWAP'),'-H $IP -C $SNMP_COM -m "^Virtual Memory$" -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_WINDOWS_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_windows_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM'),'-H $IP -C $SNMP_COM -m "^Physical Memory$" -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included(included_id,included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_windows_server'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),300000,3);