--NAME:default_snmp_xclarity
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_XCLARITY_MEM,CHECK_SNMP_XCLARITY_CPU_HEALTH,CHECK_SNMP_XCLARITY_LOAD,CHECK_SNMP_XCLARITY_MEM_HEALTH,CHECK_SNMP_XCLARITY_POWER_HEALTH,CHECK_SNMP_XCLARITY_VOLT_HEALTH,CHECK_SNMP_XCLARITY_FAN_HEALTH,CHECK_SNMP_XCLARITY_TEMP_HEALTH,CHECK_SNMP_XCLARITY_RAID

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_xclarity','Pattern par default pour les Lenovo Xclarity');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_MEM'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -w $SNMP3_AUTH_KEY -c 80 --noswap -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_CPU_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_CPU_HEALTH'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -T cpu -i -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_LOAD'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -w $SNMP3_AUTH_KEY -c 80 -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_MEM_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_MEM_HEALTH'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -T mem -i -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_POWER_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_POWER_HEALTH'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -T power -i -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_VOLT_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_VOLT_HEALTH'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -T volt -i -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_FAN_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_FAN_HEALTH'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -T fan -i -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_TEMP_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_TEMP_HEALTH'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -T temp -i -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_XCLARITY_RAID',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_xclarity'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_XCLARITY_RAID'),'-H $IP -l $SNMP3_USER -L $SNMP3_AUTH_PROT -x $SNMP3_AUTH_KEY -t 50','300000',NULL,NULL,NULL,NULL,NULL,'7',NULL);

