--NAME:CHECK_SNMP_HIKVISION_CAMERA_LOAD
--INFRA:CHECK


INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template,plugin_manufacturer,plugin_tag)
    VALUES ('CHECK_SNMP_HIKVISION_CAMERA_LOAD','/usr/local/esia/plugins/check_snmp_hikvision_camera.pl','default','-H $IP -C $SNMP_COM -T cpu -w 80 -c 90','300000','Retourne l''état des mémoires d''une camera HikVision','false','4',null,'HIKVISION','HIKVISION,CAMERA,CPU,LOAD');


INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_HIKVISION_CAMERA_LOAD'),'GAUGE','#cpu=([0-9]*)#','300','cpu','0','100','percent','AREA','#83bc00','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');

