--NAME:CHECK_SNMP_HWG_HUMIDITY
--INFRA:CHECK

INSERT INTO esia_plugins(
            plugin_id, plugin_name, plugin_path, plugin_type, 
            plugin_default_parameter, plugin_default_interval_time, plugin_description, 
            plugin_priority, plugin_manufacturer, 
            plugin_tag)
    VALUES (DEFAULT,'CHECK_SNMP_HWG_HUMIDITY','/usr/local/esia/plugins/check_snmp_hwg.pl',
			'default','-H $IP -C $SNMP_COM -S <sensors> -w 50 -c 60',300000,'Test les sondes poseidons HWG',3,'HWG','POSEIDON,STE,STE2,HUMIDITY,SENSORS');


INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_HWG_HUMIDITY'),'GAUGE','#=([0-9\,\.]*)#','300','humidity','0','100','percent','AREA','#3399ff');

