--NAME:CHECK_SNMP_SW_CISCO_FLASH
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag)
VALUES (DEFAULT,'CHECK_SNMP_SW_CISCO_FLASH','/usr/local/esia/plugins/check_snmp_cisco_switch.pl','default',NULL,'-H $IP -C $SNMP_COM -T flash -w 80 -c 90',300000,'Test la mémoire flash des switchs Cisco','false',2,'/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php','CISCO','FLASH,SWITCH');

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_FLASH'),'GAUGE','#percent=([0-9\.]*)#',300,DEFAULT,'flash',0,100,'percent','AREA','#007FFF',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_FLASH'),'GAUGE','#usage=([0-9\.]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_CISCO_FLASH'),'GAUGE','#total=([0-9\.]*)#',300,DEFAULT,'total',0,-1,'Bytes','AREA','#F79F81',NULL,2,NULL);
