--NAME:CHECK_SNMP_SW_DLINK_TEMP
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_TEMP','/usr/local/esia/plugins/check_snmp_dlink_switch.pl','default',NULL,'-H $IP -C $SNMP_COM -T temp',300000,'Check les températures du switch','false',7,NULL,'D-Link','ENV,TEMP,TEMPERATURE,SWITCH');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_TEMP'),'GAUGE','#Temperature 1.*Value\s([0-9\.]*)#',300,DEFAULT,'Temp1',-1,-1,'Celsius','LINE1','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_TEMP'),'GAUGE','#Temperature 2.*Value\s([0-9\.]*)#',300,DEFAULT,'Temp2',-1,-1,'Celsius','LINE1','#007FFF',NULL,NULL,NULL);
