--NAME:CHECK_SNMP_SW_INTERFACE_EASY
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_SW_INTERFACE_EASY','/usr/local/esia/plugins/check_snmp_sw_interface.pl','default',NULL,'-H $IP -C $SNMP_COM -i <ifindex> -s auto -w 70 -c 80',300000,NULL,'false',2,NULL,NULL,NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#data:out=([0-9\.\,]*)#',300,DEFAULT,'out',0,-1,'bps','AREA','#40FF00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#data:in=([0-9\.\,]*)#',300,DEFAULT,'in',0,-1,'bps','LINE1','#007FFF',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#inErrors\:([0-9]*)#',300,DEFAULT,'in_errors',0,-1,'packet/s','LINE1','#FF0000',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#outErrors\:([0-9]*)#',300,DEFAULT,'out_errors',0,-1,'packet/s','LINE1','#B80101',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#outBroadcast\:([0-9]*)#',300,DEFAULT,'out_broadcast',0,-1,'packet/s','LINE1','#0054A8',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#inUnicast\:([0-9]*)#',300,DEFAULT,'in_unicast',0,-1,'packet/s','LINE1','#A5DF00',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#outUnicast\:([0-9]*)#',300,DEFAULT,'out_unicast',0,-1,'packet/s','LINE1','#088A29',NULL,2,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY'),'GAUGE','#inBroadcast\:([0-9]*)#',300,DEFAULT,'in_broadcast',0,-1,'packet/s','LINE1','#58ACFA',NULL,2,NULL);
