UPDATE esia_plugins
    SET plugin_default_parameter = '-H $IP -C $SNMP_COM -T mem -w 80 -c 90',
        plugin_path = '/usr/local/esia/plugins/check_snmp_hp_switch.pl'
    WHERE plugin_name='CHECK_SNMP_SW_HP_MEM';

UPDATE esia_plugins
    SET plugin_default_parameter = '-H $IP -C $SNMP_COM -T cpu -w 80 -c 90',
        plugin_path = '/usr/local/esia/plugins/check_snmp_hp_switch.pl'
    WHERE plugin_name='CHECK_SNMP_SW_HP_LOAD';

UPDATE esia_services
    SET service_parameter = regexp_replace(service_parameter,'\-E', '-T mem')
    WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_MEM');

UPDATE esia_services
    SET service_parameter = regexp_replace(service_parameter,'\-T hp', '-T cpu')
    WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_LOAD');

UPDATE esia_service_pattern_included
    SET included_parameter = regexp_replace(included_parameter,'\-E', '-T mem')
    WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_MEM');

UPDATE esia_service_pattern_included
    SET included_parameter = regexp_replace(included_parameter,'\-T hp', '-T cpu')
    WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_LOAD');

-- Update plugin
UPDATE esia_plugins SET plugin_path='/usr/local/esia/plugins/check_snmp_apc_pdu.pl', plugin_default_parameter='-H $IP -C $SNMP_COM -T health -v 220'
	WHERE plugin_name='CHECK_SNMP_APC_PDU_HEALTH';


-- Update rrd
UPDATE rrd_plugins SET rrd_regex='#watts=([0-9\.]*)#'
	WHERE rrd_plugin_id=(select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH') AND rrd_name='Watt';

UPDATE rrd_plugins SET rrd_regex='#KWH=([0-9\.]*)#'
	WHERE rrd_plugin_id=(select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH') AND rrd_name='KWattH';

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);
