--NAME:CHECK_SNMP_APC_PDU_HEALTH
--INFRA:CHECK
INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_APC_PDU_HEALTH','/usr/local/esia/plugins/check_snmp_apc_pdu.pl','default',NULL,'-H $IP -C $SNMP_COM -T health -v 220',300000,'Récupère la consommation de ligne d''un PDU APC','false',7,'','APC','PDU,APC,HEALTH');


INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#watts=([0-9\.]*)#','300','Watt','0','-1','','AREA','#83bc00');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#KWH=([0-9\.]*)#','300','KWattH','0','-1','','LINE1','#007FFF');


--NAME:CHECK_SNMP_APC_PDU_OUTLET
--INFRA:CHECK
INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_APC_PDU_OUTLET','/usr/local/esia/plugins/check_snmp_apc_pdu.pl','default',NULL,'-H $IP -C $SNMP_COM -T outlet -v 220 -w "" -i ""',300000,'Récupère le status des prises d''un PDU APC','false',7,'','APC','PDU,APC,OUTLET');


-- 'SNMP_APC_PDU_HEALTH' =>'Etat de santé - $1',
-- 'SNMP_APC_PDU_OUTLET' =>'Status des prises - $1',
