-- Run Before add plugins
---- Services Qnap
UPDATE esia_services SET service_parameter=REGEXP_REPLACE(service_parameter,'(.*SNMP_COM) (.*)','\1 -T temp \2')
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_HEALTH');

UPDATE esia_services SET service_name=REGEXP_REPLACE(service_name,'HEALTH','TEMP') 
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_HEALTH');

UPDATE esia_services SET service_parameter=REGEXP_REPLACE(service_parameter,'(.*SNMP_COM) (.*)','\1 -T ram \2')
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_RAM');

UPDATE esia_services SET service_parameter=REGEXP_REPLACE(service_parameter,'(.*SNMP_COM) (.*)','\1 -T vol \2')
WHERE service_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_STORAGE');

---- Included Qnap
UPDATE esia_service_pattern_included SET included_parameter=REGEXP_REPLACE(included_parameter,'(.*SNMP_COM) (.*)','\1 -T temp \2')
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_HEALTH');

UPDATE esia_service_pattern_included SET included_name=REGEXP_REPLACE(included_name,'HEALTH','TEMP') 
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_HEALTH');

UPDATE esia_service_pattern_included SET included_parameter=REGEXP_REPLACE(included_parameter,'(.*SNMP_COM) (.*)','\1 -T ram \2')
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_RAM');

UPDATE esia_service_pattern_included SET included_parameter=REGEXP_REPLACE(included_parameter,'(.*SNMP_COM) (.*)','\1 -T vol \2')
WHERE included_plugin_id IN (SELECT plugin_id FROM esia_plugins where plugin_name = 'CHECK_SNMP_QNAP_STORAGE');

---- Plugins Qnap
UPDATE esia_plugins
SET plugin_name='CHECK_SNMP_QNAP_TEMP',plugin_path='/usr/local/esia/plugins/check_snmp_qnap.pl', plugin_default_parameter=REGEXP_REPLACE(plugin_default_parameter,'(.*SNMP_COM) (.*)','\1 -T temp \2'), plugin_description='Affiche les températures du systèmes et CPU'
WHERE plugin_name='CHECK_SNMP_QNAP_HEALTH';

UPDATE esia_plugins
SET plugin_path='/usr/local/esia/plugins/check_snmp_qnap.pl', plugin_default_parameter=REGEXP_REPLACE(plugin_default_parameter,'(.*SNMP_COM) (.*)','\1 -T ram \2'), plugin_description='Vérifie la mémoire RAM', plugin_tag='RAM,MEMORY,NAS'
WHERE plugin_name='CHECK_SNMP_QNAP_RAM';

UPDATE esia_plugins
SET plugin_path='/usr/local/esia/plugins/check_snmp_qnap.pl', plugin_default_parameter=REGEXP_REPLACE(plugin_default_parameter,'(.*SNMP_COM) (.*)','\1 -T vol \2'), plugin_description='Affiche l''espace disque utilisé'
WHERE plugin_name='CHECK_SNMP_QNAP_STORAGE';
