--NAME:default_snmp_axis_camera
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_AXIS_CAMERA_TEMP,CHECK_SNMP_INTERFACE_EASY

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_axis_camera','pattern de supervision des cameras axis');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_axis_camera'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
        (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
        300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_AXIS_CAMERA_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_axis_camera'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_AXIS_CAMERA_TEMP'),
        (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_AXIS_CAMERA_TEMP'),
        300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_INTERFACE_EASY',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_axis_camera'),
        (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_INTERFACE_EASY'),
        '-H $IP -C $SNMP_COM -i 2 -s auto -w 70 -c 80',
        300000,3);
