--NAME:default_snmp_cyberoam
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_CYBEROAM_ENV,CHECK_SNMP_CYBEROAM_LOAD,CHECK_SNMP_CYBEROAM_MEM_SWAP,CHECK_SNMP_CYBEROAM_STORAGE

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_cyberoam','pattern de supervision des firewall cyberoam');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_CYBEROAM_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CYBEROAM_ENV'),'-H $IP -C $SNMP_COM',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_CYBEROAM_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CYBEROAM_LOAD'),'-H $IP -C $SNMP_COM -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_CYBEROAM_MEM_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CYBEROAM_MEM_SWAP'),'-H $IP -C $SNMP_COM -w 80,10 -c 90,50',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_CYBEROAM_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_cyberoam'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CYBEROAM_STORAGE'),'-H $IP -C $SNMP_COM -w 70 -c 80',300000,NULL,NULL,NULL,NULL,NULL,3);

