--NAME:default_snmp_dahua
--INFRA:CHECK
--PLUGINS:CHECK_ICMP, CHECK_SNMP_DAHUA_LOAD,CHECK_SNMP_DAHUA_MEM,CHECK_SNMP_DAHUA_STATE,CHECK_SNMP_DAHUA_VOLUME
INSERT INTO esia_service_patterns(pattern_id, pattern_name, pattern_description) VALUES (DEFAULT,'default_snmp_dahua','pattern de supervision des enregistreur DAHUA');

INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id,included_plugin_id, included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dahua'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_DAHUA_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dahua'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_LOAD'),
	300000,2);
INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id,included_plugin_id, included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_DAHUA_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dahua'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_DAHUA_STATE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dahua'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_STATE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_STATE'),
	300000,3);
INSERT INTO esia_service_pattern_included(included_id, included_name, included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_DAHUA_VOLUME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dahua'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_VOLUME'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_DAHUA_VOLUME'),
	300000,3);
