--NAME:default_snmp_dell_idrac
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_IDRAC_TEMP,CHECK_SNMP_IDRAC_DISKHEALTH,CHECK_SNMP_IDRAC_SYSHEALTH

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_dell_idrac','pattern de supervision des interfaces iDrac Dell');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dell_idrac'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_IDRAC_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dell_idrac'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_TEMP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_TEMP'),
    300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_IDRAC_DISKHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dell_idrac'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_DISKHEALTH'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_DISKHEALTH'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_IDRAC_SYSHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dell_idrac'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_SYSHEALTH'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_SYSHEALTH'),
    300000,3);
 INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_IDRAC_GLOBALHEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_dell_idrac'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_GLOBALHEALTH'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_GLOBALHEALTH'),
    300000,3);
