--NAME:default_snmp_extreme_ap
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_EXTREME_NETWORKS_LOAD,CHECK_SNMP_EXTREME_NETWORKS_MEM,CHECK_SNMP_HIKVISION_STATE


INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_extreme_ap','pattern de supervision des access point Extreme Network');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_extreme_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EXTREME_NETWORKS_AP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_extreme_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EXTREME_NETWORKS_AP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EXTREME_NETWORKS_AP_LOAD'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EXTREME_NETWORKS_AP_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_extreme_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EXTREME_NETWORKS_AP_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EXTREME_NETWORKS_AP_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_EXTREME_NETWORKS_AP_CLIENT',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_extreme_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EXTREME_NETWORKS_AP_CLIENT'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_EXTREME_NETWORKS_AP_CLIENT'),
	300000,3);

--'SNMP_EXTREME_NETWORKS_LOAD'=>'CPU',
--'SNMP_EXTREME_NETWORKS_MEM'=>'RAM',
--'SNMP_EXTREME_NETWORKS_CLIENT'=>'Nombre de client connecté',
