--NAME:default_snmp_hikvision
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_HIKVISION_DISK,CHECK_SNMP_HIKVISION_MEM,CHECK_SNMP_HIKVISION_STATE


INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_hikvision','pattern de supervision des hikvision');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hikvision'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_HIKVISION_DISK',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hikvision'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HIKVISION_DISK'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HIKVISION_DISK'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_HIKVISION_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hikvision'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HIKVISION_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HIKVISION_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_HIKVISION_STATE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hikvision'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HIKVISION_STATE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HIKVISION_STATE'),
	300000,3);
