--NAME:default_snmp_hp_san_vsa
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_HP_SAN_VSA_CLUSTER,CHECK_SNMP_HP_SAN_VSA_MODULE,CHECK_SNMP_LOAD,CHECK_SNMP_LINUX_MEM,CHECK_SNMP_HP_SAN_VSA_DISKS,CHECK_SNMP_HP_SAN_VSA_RAID

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_hp_san_vsa','pattern de supervision des sans HP VSA');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_HP_SAN_VSA_CLUSTER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_CLUSTER'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_CLUSTER'),
	300000,2);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_HP_SAN_VSA_MODULE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_MODULE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_MODULE'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_san_vsa'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),
	300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_LINUX_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_san_vsa'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),
    300000,3);

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_HP_SAN_VSA_DISKS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_san_vsa'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_DISKS'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_DISKS'),
    300000,3);    

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_HP_SAN_VSA_RAID',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_san_vsa'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_RAID'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_HP_SAN_VSA_RAID'),
    300000,3);    
