--NAME:default_snmp_hp_switch
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_SW_HP_LOAD,CHECK_SNMP_SW_HP_MEM,CHECK_SNMP_SW_HP_ENV

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_hp_switch','pattern de supervision des switch HP/Aruba 2500+');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_HP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_HP_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_MEM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SW_HP_ENV',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_hp_switch'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_ENV'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_HP_ENV'),300000,NULL,NULL,NULL,NULL,NULL,3);

