--NAME:default_snmp_juniper
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_JUNIPER_LOAD,CHECK_SNMP_JUNIPER_MEM,CHECK_SNMP_JUNIPER_TEMP

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_juniper','pattern de supervision des routeurs juniper');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_juniper'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_JUNIPER_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_juniper'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_JUNIPER_LOAD'),'-H $IP -C $SNMP_COM -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_JUNIPER_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_juniper'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_JUNIPER_MEM'),'-H $IP -C $SNMP_COM -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_JUNIPER_TEMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_juniper'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_JUNIPER_TEMP'),'-H $IP -C $SNMP_COM -w 60 -c 70',300000,NULL,NULL,NULL,NULL,NULL,3);

