--NAME:default_snmp_nas_netgear
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_NETGEAR_LOAD,CHECK_SNMP_NETGEAR_MEM,CHECK_SNMP_NETGEAR_HEALTH

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_nas_netgear','pattern de supervision des NAS Netgear');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_netgear'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_NETGEAR_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_netgear'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_NETGEAR_LOAD'),'-H $IP -C $SNMP_COM -w 80 -c 90',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_NETGEAR_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_netgear'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_NETGEAR_MEM'),'-H $IP -C $SNMP_COM -w 80,10 -c 90,60',300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_NETGEAR_HEALTH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_netgear'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_NETGEAR_HEALTH'),'-H $IP -C $SNMP_COM -w 50 -c 70',300000,NULL,NULL,NULL,NULL,NULL,3);

