--NAME:default_snmp_nas_seagate
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_SEAGATE_HEALTH,CHECK_SNMP_LOAD,CHECK_SNMP_LINUX_STORAGE,CHECK_ICMP

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_nas_seagate','Pattern pour les NAS seagates');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_SEAGATE_HEALTH',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_seagate'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SEAGATE_HEALTH'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SEAGATE_HEALTH'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LOAD',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_seagate'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,2);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES
(DEFAULT,'CHECK_SNMP_LINUX_MEM',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_seagate'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_LINUX_STORAGE',
	(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_seagate'),
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',
(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_nas_seagate'),
(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);
