--NAME:default_snmp_pc
--INFRA:CHECK
--PLUGINS:CHECK_ICMP_PC,CHECK_SNMP_PC_LOAD,CHECK_SNMP_PC_WINDOWS_MEM,CHECK_SNMP_PC_WINDOWS_MEM_SWAP,CHECK_SNMP_PC_WINDOWS_STORAGE

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_pc','Pattern de supervision pour les PC afin que ceux-ci ne génèrent pas une erreur quand le PC est éteint.');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP_PC',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_pc'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP_PC'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP_PC'),
    300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_PC_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_pc'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_LOAD'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_LOAD'),
    300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_PC_WINDOWS_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_pc'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_WINDOWS_MEM'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_WINDOWS_MEM'),
    300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_PC_WINDOWS_MEM_SWAP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_pc'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_WINDOWS_MEM_SWAP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_WINDOWS_MEM_SWAP'),
    300000,4);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_PC_WINDOWS_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_pc'), 
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_WINDOWS_STORAGE'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PC_WINDOWS_STORAGE'),
    300000,4);

