--NAME:default_snmp_ubiquiti_ap
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_AP_UBIQUITI_CPU,CHECK_SNMP_UBIQUITI_AP_MEM,CHECK_SNMP_UBIQUITI_AP_CLIENT

INSERT INTO esia_service_patterns(
            pattern_id, pattern_name, pattern_description)
    VALUES (DEFAULT,'default_snmp_ubiquiti_ap','pattern de supervision des access points wifi ubiquiti');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ubiquiti_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
	300000,1);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_UBIQUITI_AP_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ubiquiti_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UBIQUITI_AP_LOAD'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UBIQUITI_AP_LOAD'),
	300000,2);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_UBIQUITI_AP_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ubiquiti_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UBIQUITI_AP_MEM'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UBIQUITI_AP_MEM'),
	300000,3);
INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id, 
            included_plugin_id, 
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_SNMP_UBIQUITI_AP_STATION',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ubiquiti_ap'), 
	(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UBIQUITI_AP_CLIENT'),
	(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UBIQUITI_AP_CLIENT'),
	300000,3);
