--NAME:default_snmp_ups
--INFRA:CHECK
--PLUGINS:CHECK_ICMP, CHECK_SNMP_UPS

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_ups','pattern de supervision des UPS');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_UPS_STATE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_STATE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_STATE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_UPS_BATTERY',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_BATTERY'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_BATTERY'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_UPS_ALARM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_ALARM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_ALARM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_UPS_LINE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_LINE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_LINE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_UPS_INPUT',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_ups'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_INPUT'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_UPS_INPUT'),300000,NULL,NULL,NULL,NULL,NULL,3);
