--NAME:default_snmp_watchguard
--INFRA:CHECK
--PLUGINS:CHECK_SNMP_WATCHGUARD_LOAD,CHECK_SNMP_WATCHGUARD_ACTIVE_CONNECTIONS,CHECK_SNMP_WATCHGUARD_IPSEC_TUNNELS,CHECK_SNMP_WATCHGUARD_STRM_DROPPED

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_watchguard','pattern de supervision des firewalls WatchGuard');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_WATCHGUARD_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WATCHGUARD_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WATCHGUARD_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_WATCHGUARD_ACTIVE_CONNECTIONS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WATCHGUARD_ACTIVE_CONNECTIONS'),'-H $IP -C $SNMP_COM -w 1000 -c 2000',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_WATCHGUARD_IPSEC_TUNNELS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WATCHGUARD_IPSEC_TUNNELS'),'-H $IP -C $SNMP_COM -w 10 -c 15',300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SNMP_WATCHGUARD_STRM_DROPPED',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_watchguard'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WATCHGUARD_STRM_DROPPED'),'-H $IP -C $SNMP_COM -w 10 -c 15',300000,NULL,NULL,NULL,NULL,NULL,7);

