--NAME:default_snmp_zyxel_usg
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_SNMP_ZYXEL_USG_LOAD,CHECK_SNMP_ZYXEL_USG_MEM,CHECK_SNMP_ZYXEL_USG_VER,CHECK_SNMP_ZYXEL_USG_SESS,CHECK_SNMP_ZYXEL_USG_FLASH

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_snmp_zyxel_usg','pattern de supervision des firewalls zyxel USG');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'300000',NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ZYXEL_USG_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_LOAD'),'300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ZYXEL_USG_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_MEM'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ZYXEL_USG_VER',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_VER'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_VER'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ZYXEL_USG_SESS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_SESS'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_SESS'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SNMP_ZYXEL_USG_FLASH',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_snmp_zyxel_usg'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_FLASH'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ZYXEL_USG_FLASH'),'300000',NULL,NULL,NULL,NULL,NULL,'3',NULL);
