--NAME:CHECK_SNMP_ALLIEDTELESIS_ENV
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_ALLIEDTELESIS_ENV','/usr/local/esia/plugins/check_snmp_alliedTelesis_env.pl','default',NULL,'-H $IP -C $SNMP_COM -w 60 -c 65',300000,'check temperature cpu et ou system sur le switch et/ou routeur','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php','ALLIEDTELESIS',NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ALLIEDTELESIS_ENV'),'GAUGE','#temcpu=([0-9]*[\,\.][0-9]*)#',300,DEFAULT,'temcpu',0,80,'celsius','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ALLIEDTELESIS_ENV'),'GAUGE','#temsys=([0-9]*[\,\.][0-9]*)#',300,DEFAULT,'temsys',0,80,'celsius','AREA','#FF00FF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_ALLIEDTELESIS_ENV'),'GAUGE','#current=([0-9]*)#',300,DEFAULT,'speed',0,-1,'rpm','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#',2,NULL);
