--NAME:CHECK_SNMP_APC_PDU_HEALTH
--INFRA:CHECK
INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_APC_PDU_HEALTH','/usr/local/esia/plugins/check_snmp_apc_pdu.pl','default',NULL,'-H $IP -C $SNMP_COM -T health -v 220',300000,'Récupère la consommation de ligne d''un PDU APC','false',7,'','APC','PDU,APC,HEALTH');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#KWH=([0-9\.]*)#','300','KWattH','0','-1','','LINE1','#007FFF');

------

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#va=([0-9\.]*)#','300','apparent_power','0','-1','va','LINE1','#007FFF',1);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#watts=([0-9\.]*)#','300','real_power','0','-1','watt','AREA','#83bc00',1);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#powerfactor=([0-9\.]*)#','300','power_factor','0','100','percent','AREA','#83bc00',2);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#amperes=([0-9\.]*)#','300','current','0','-1','amperes','AREA','#83bc00',3);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_APC_PDU_HEALTH'),'GAUGE','#voltage=([0-9\.]*)#','300','voltage','0','-1','volts','AREA','#83bc00',4);
