--NAME:CHECK_SNMP_CISCOXR_SENSORS
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_CISCOXR_SENSORS','/usr/local/esia/plugins/check_snmp_ciscoxr_sensors.php','default',NULL,'-H $IP -C $SNMP_COM -w 60 -c 70 ',300000,'check l''état des sensors de temperature type hot','false',7,NULL,'CISCO',NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCOXR_SENSORS'),'GAUGE','#min=([\d\.]+)°#',300,DEFAULT,'min',0,-1,'temperature','LINE1','#007fff',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCOXR_SENSORS'),'GAUGE','#avg=([\d\.]+)°#',300,DEFAULT,'avg',0,-1,'temperature','LINE1','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCOXR_SENSORS'),'GAUGE','#max=([\d\.]+)°#',300,DEFAULT,'max',0,-1,'temperature','LINE1','#9400D3',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCOXR_SENSORS'),'GAUGE','#w:(\d+)#',300,DEFAULT,'warning',0,-1,'temperature','LINE1','#F0FF0F',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_CISCOXR_SENSORS'),'GAUGE','#c:(\d+)#',300,DEFAULT,'critical',0,-1,'temperature','LINE1','#FF0000',NULL,NULL,NULL);
