--NAME:CHECK_SNMP_IDRAC_TEMP
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_IDRAC_TEMP','/usr/local/esia/plugins/check_snmp_idrac_temp.pl','default',NULL,'-H $IP -C $SNMP_COM',300000,'Récupère la tempéraure d''un serveur IDRAC Dell.','false',7,NULL,'Dell','TEMPERATURE,IDRAC');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_TEMP'),'GAUGE','#CPU1\s+Temp\s+;\s+Temperature\s+:\s+(\d+)\s+Degree#',300,DEFAULT,'temperature_cpu1',0,-1,'Celsius','AREA','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_IDRAC_TEMP'),'GAUGE','#System\s+Board\s+Inlet\s+Temp\s+;\s+Temperature\s+:\s+(\d+)\s+Degree#',300,DEFAULT,'temperature_system',0,-1,'Celsius','AREA','#FF00FF',NULL,NULL,NULL);
