--NAME:CHECK_SNMP_PRINTER
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_PRINTER','/usr/local/esia/plugins/check_snmp_printer.pl','default',NULL,'-H $IP -C $SNMP_COM -w 20 -c 5',300000,'Test l''état d''une imprimante ainsi que des consommables.  il faut que l''imprimante soit SNMP et compatible PRINTER-MIB  ','false',7,NULL,NULL,'PRINTER');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PRINTER'),'GAUGE','#\([bB]lack\)\s+State\:\s+([0-9]*)\%#',300,DEFAULT,'black',0,100,'percent','LINE1','#000000',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PRINTER'),'GAUGE','#\([cC]yan\)\s+State\:\s+([0-9]*)\%#',300,DEFAULT,'cyan',0,100,'percent','LINE1','#00FFFF',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PRINTER'),'GAUGE','#\([mM]agenta\)\s+State\:\s+([0-9]*)\%#',300,DEFAULT,'magenta',0,100,'percent','LINE1','#FF00FF',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_PRINTER'),'GAUGE','#\([yY]ellow\)\s+State\:\s+([0-9]*)\%#',300,DEFAULT,'yellow',0,100,'percent','LINE1','#FFFF00',NULL,NULL,NULL);
