--NAME:CHECK_SNMP_SW_DLINK_FLASH
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_SW_DLINK_FLASH','/usr/local/esia/plugins/check_snmp_dlink_switch.pl','default',NULL,'-H $IP -C $SNMP_COM -T flash -i 1 -w 80 -c 90',300000,'Check la mémoire flash du switch','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php','D-Link','MEMORY,FLASH,SWITCH');


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FLASH'),'GAUGE','#Flash\s+used\s([0-9\.]*)#',300,DEFAULT,'Flash',0,100,'percent','AREA','#83bc00',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FLASH'),'GAUGE','#Flash\s+id\s2\s.*: ([0-9\.]*)#',300,DEFAULT,'Image1',0,100,'percent','LINE1','#ACFA58',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FLASH'),'GAUGE','#Flash\s+id\s4\s.*: ([0-9\.]*)#',300,DEFAULT,'Jffs2',0,100,'percent','LINE1','#8F3A84',NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_SW_DLINK_FLASH'),'GAUGE','#Flash\s+id\s3\s.*: ([0-9\.]*)#',300,DEFAULT,'Image2',0,100,'percent','LINE1','#007FFF',NULL,NULL,NULL);
