--NAME:CHECK_SNMP_UPS_BATTERY
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template) VALUES (DEFAULT,'CHECK_SNMP_UPS_BATTERY','/usr/local/esia/plugins/check_snmp_ups.pl','default',NULL,'-H $IP -C $SNMP_COM -T battery -w 10 -c 5',300000,'test la battery un UPS compatible UPS-MIB','false',7,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_UPS_BATTERY'),'GAUGE','#[Bb]attery load:\s+([0-9\.]*)#','300','load','0','100','percent','AREA','#83bc00',NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_UPS_BATTERY'),'GAUGE','#[Bb]attery temperature is ([0-9\.]*)#','300','temperature','-1','-1','celsius','AREA','#83bc00',1);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_UPS_BATTERY'),'GAUGE','#[Tt]ime remaining is ([0-9\.]*)#','300','remaining_time','0','-1','minutes','AREA','#83bc00',2);
