--NAME:CHECK_SNMP_UPS_INPUT
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_UPS_INPUT','/usr/local/esia/plugins/check_snmp_ups.pl','default',NULL,'-H $IP -C $SNMP_COM -T input -m 1',300000,'test un UPS compatible UPS-MIB','false',7,NULL,NULL,NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_UPS_INPUT'),'GAUGE','#([0-9\.]*)\s+Hz#','300','Frequency','0','-1','Hz','LINE1','#83bc00',NULL);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_UPS_INPUT'),'GAUGE','#([0-9\.]*)\s+Amperes#','300','current','0','-1','amperes','AREA','#83bc00',2);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_UPS_INPUT'),'GAUGE','#([0-9\.]*)\s+Volt#','300','voltage','0','-1','volts','AREA','#83bc00',3);

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
	VALUES ((select plugin_id from esia_plugins where plugin_name='CHECK_SNMP_UPS_INPUT'),'GAUGE','#([0-9\.]*)\s+VA#','300','input_power','0','-1','va','AREA','#83bc00',4);
