--NAME:CHECK_SNMP_WATCHGUARD_IPSEC_TUNNELS
--INFRA:CHECK

INSERT INTO esia_plugins (plugin_id,plugin_name,plugin_path,plugin_type,plugin_trap_oid,plugin_default_parameter,plugin_default_interval_time,plugin_description,plugin_delete,plugin_priority,plugin_html_template,plugin_manufacturer,plugin_tag) VALUES (DEFAULT,'CHECK_SNMP_WATCHGUARD_IPSEC_TUNNELS','/usr/local/esia/plugins/check_snmp_watchguard_ipsec_tunnels.pl','default',NULL,'-H $IP -C $SNMP_COM -w 10 -c 15',300000,'Vérifie le nombre d''entrées dans la table des tunnels IPSec sur un firewall watchguard','false',7,'/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php','WATCHGUARD',NULL);


INSERT INTO rrd_plugins (rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc) VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WATCHGUARD_IPSEC_TUNNELS'),'GAUGE','#\S+\s+:\s+(\d+)\s+IPSec#',300,DEFAULT,'Tunnels',0,-1,'number','AREA','#007FFF',NULL,NULL,NULL);
